#!/bin/sh

# this script is public domain
# there is no warranty


export DOCSBASENAME="README.tausta"
export DOCTITLE="tausta.ksh.sh"
export DOCAUTHOR="Juhapekka Tolvanen"

### LaTeX: portrait
rm -fv ${DOCSBASENAME}.aux ${DOCSBASENAME}.bbl ${DOCSBASENAME}.blg \
    ${DOCSBASENAME}.brf ${DOCSBASENAME}.tmp ${DOCSBASENAME}.log \
    ${DOCSBASENAME}.toc ${DOCSBASENAME}.lot ${DOCSBASENAME}.out \
    ${DOCSBASENAME}.tex ${DOCSBASENAME}.pdf ${DOCSBASENAME}.ps

rm -fv ${DOCSBASENAME}.aux ${DOCSBASENAME}.bbl ${DOCSBASENAME}.blg \
    ${DOCSBASENAME}.brf ${DOCSBASENAME}.tmp ${DOCSBASENAME}.log \
    ${DOCSBASENAME}.toc ${DOCSBASENAME}.lot ${DOCSBASENAME}.out \
    ${DOCSBASENAME}.fls

### LaTeX: landscape
rm -fv ${DOCSBASENAME}.landscape.aux ${DOCSBASENAME}.landscape.bbl ${DOCSBASENAME}.landscape.blg \
    ${DOCSBASENAME}.landscape.brf ${DOCSBASENAME}.landscape.tmp ${DOCSBASENAME}.landscape.log \
    ${DOCSBASENAME}.landscape.toc ${DOCSBASENAME}.landscape.lot ${DOCSBASENAME}.landscape.out \
    ${DOCSBASENAME}.landscape.tex ${DOCSBASENAME}.landscape.pdf ${DOCSBASENAME}.landscape.ps

rm -fv ${DOCSBASENAME}.landscape.aux ${DOCSBASENAME}.landscape.bbl ${DOCSBASENAME}.landscape.blg \
    ${DOCSBASENAME}.landscape.brf ${DOCSBASENAME}.landscape.tmp ${DOCSBASENAME}.landscape.log \
    ${DOCSBASENAME}.landscape.toc ${DOCSBASENAME}.landscape.lot ${DOCSBASENAME}.landscape.out \
    ${DOCSBASENAME}.landscape.fls

### HTML
rm -fv ${DOCSBASENAME}.html

### DJVU
rm -fv ${DOCSBASENAME}.djvu
rm -fv ${DOCSBASENAME}.landscape.djvu

### man http://en.wikipedia.org/wiki/Man_page
rm -fv ${DOCSBASENAME}.man

### texinfo http://en.wikipedia.org/wiki/Texinfo
rm -fv ${DOCSBASENAME}.texi
### info http://en.wikipedia.org/wiki/Info_%28Unix%29
rm -fv ${DOCSBASENAME}.info

### RTF http://en.wikipedia.org/wiki/Rich_Text_Format
### VIAT: Sisällysluettelo puuttuu täysin.
rm -fv ${DOCSBASENAME}.rtf

### Plain text http://en.wikipedia.org/wiki/Plain_text
rm -fv ${DOCSBASENAME}.plain.txt

### To be used in very narrow windows, for example in Nintendo DS Lite
### and its homebrew software called Moonshell.
rm -fv ${DOCSBASENAME}.plain40.txt


### ODT
rm -fv ${DOCSBASENAME}.odt

### DOCX http://en.wikipedia.org/wiki/Office_Open_XML
rm -fv ${DOCSBASENAME}.docx

### Docbook XML
rm -fv ${DOCSBASENAME}.xml


### eBook-formats:

### EPUB  http://en.wikipedia.org/wiki/EPUB
rm -fv ${DOCSBASENAME}.epub

### FB2 http://en.wikipedia.org/wiki/FictionBook
rm -fv ${DOCSBASENAME}.fb2

### MOBI (.mobi or .prc) http://en.wikipedia.org/wiki/Mobipocket
rm -fv ${DOCSBASENAME}.mobi

### LIT http://en.wikipedia.org/wiki/Microsoft_Reader
rm -fv ${DOCSBASENAME}.lit

### PDB (and PML ?) http://en.wikipedia.org/wiki/PDB_%28Palm_OS%29
rm -fv ${DOCSBASENAME}.pdb

### LRF http://en.wikipedia.org/wiki/BBeB
rm -fv ${DOCSBASENAME}.lrf



